# WOK
TKWOK
EDL

# EDL_DataMapNodeOfMapOfFile Class Reference

`#include <EDL_DataMapNodeOfMapOfFile.hxx>`

## Public Member Functions

| EDL_DataMapNodeOfMapOfFile (const TCollection_AsciiString &K, const EDL_File &I, const TCollection_MapNodePtr &n)
TCollection_AsciiString & | Key () const
EDL_File & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TCollection_AsciiString | myKey
EDL_File | myValue

## Constructor & Destructor Documentation

EDL_DataMapNodeOfMapOfFile::EDL_DataMapNodeOfMapOfFile | ( | const TCollection_AsciiString & | K,
|  | const EDL_File & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const EDL_DataMapNodeOfMapOfFile::Handle | ( | Standard_Type |  | ) | const

TCollection_AsciiString& EDL_DataMapNodeOfMapOfFile::Key | ( |  | ) | const

EDL_File& EDL_DataMapNodeOfMapOfFile::Value | ( |  | ) | const

## Field Documentation

TCollection_AsciiString EDL_DataMapNodeOfMapOfFile::myKey `[private]`

EDL_File EDL_DataMapNodeOfMapOfFile::myValue `[private]`

The documentation for this class was generated from the following file:

- EDL_DataMapNodeOfMapOfFile.hxx